%global pypi_name threadpoolctl
%bcond_with test

Name:           python-%{pypi_name}
Version:        3.0.0
Release:        1
Summary:        Python helpers to limit the number of threads
License:        BSD 3-Clause
URL:            https://github.com/joblib/threadpoolctl/
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel

%if %{with test}
BuildRequires:  python3-pytest
%endif

%global _description \
Python helpers to limit the number of threads used in\
the threadpool-backed of common native libraries used for\
scientific computing and data science (e.g. BLAS and OpenMP).\
\
Fine control of the underlying thread-pool size can be useful in\
workloads that involve nested parallelism so as to mitigate oversubscription issues.

%description %{_description}

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%py3_build

%install
%py3_install

%if %{with test}
%check
py.test-%{python3_version}
%endif

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md CHANGES.md
%{python3_sitelib}/threadpoolctl.py
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/__pycache__/%{pypi_name}.*

%changelog
* Tue Oct 25 2022 yaoxin30 <yaoxin30@h-partners.com> - 3.0.0-1
- Upgrade to version 3.0.0

* Thu Jan 28 2021 liudabo <liudabo1@huawei.com> - 2.1.0-1
- upgrade version to 2.1.0

* Mon Feb 10 2020 Jiangping Hu <hujp1985@foxmail.com> - 1.1.0-2
- Init package
